schooltool install error

Asked by dhutchens on 2010-09-20

I have the same error as posted earlier:

The following packages have unmet dependencies:
  schooltool-2009: Depends: python-schooltool but it is not going to be installed
                   Depends: python-schooltool.stapp2008fall but it is not going to be installed
E: Broken packages

I have a clean install of 10.04 on virtualbox.

If I try to install python-schooltool.stapp2008fall from the package manager I get:

"python-schooltool.stapp2008fall:
 Depends: python-schooltool.intervention but it is not installable"

I don't know what else to try.

Thanks.

Question information

Language:
English Edit question
Status:
Solved
For:
SchoolTool Edit question
Assignee:
No assignee Edit question
Solved by:
Gediminas Paulauskas
Solved:
2010-09-20
Last query:
2010-09-20
Last reply:
2010-09-20
Tom Hoffman (tom-hoffman) said : #1

Try 'sudo apt-get update' and then installing again. Let us know if that doesn't work.

Best Gediminas Paulauskas (menesis) said : #2

python-schooltool.intervention has mysteriously disappeared from package list. I have re-added it, and now schooltool installs successfully.

dhutchens (dah5288) said : #3

Thanks Gediminas Paulauskas, that solved my question.